import React from 'react';
import { ModalForm, ProFormText } from "@ant-design/pro-components";
import { Form } from "antd";
import { copyTaCheck } from '@/service/tacheck';

export default (props) => {
  const { check, open, onOpenChange, onFinish } = props;

  const [formRef] = Form.useForm();

  const onSubmit = async (values) => {
    await copyTaCheck(values.checkId, values);
    onOpenChange(false);
    onFinish();
    return;
  }

  React.useEffect(() => {
    formRef.setFieldsValue({
      checkId: check?.checkId,
      title: `${check?.title}-复制`,
    });
  }, [check]);

  return (
    <ModalForm
      title="复制"
      width="560px"
      open={open}
      form={formRef}
      onOpenChange={onOpenChange}
      onFinish={onSubmit}
    >
      <ProFormText hidden name="checkId" />
      <ProFormText
        name="title"
        label="测评名称"
        placeholder="请输入测评名称"
        rules={[
          {required: true, message: '请输入测评名称'},
        ]}
      />
    </ModalForm>
  )
}
