import request from "@/utils/request";

/*
 * 分页查询
 */
export const getSysUser = (params) => request("/api/sysUser", { params });

/*
 * 新增数据
 */
export const postSysUser = (data) =>
  request("/api/sysUser", { data, method: "post" });

/*
 * 通过ID查询单条数据
 */
export const getSysUserById = (id) => request(`/api/sysUser/${id}`);

/*
 * 通过ID查询单条数据
 */
export const currentUser = () => request(`/api/sysUser/current`);

/*
 * 更新数据
 */
export const putSysUser = (id, data) =>
  request(`/api/sysUser/${id}`, { data, method: "put" });

/*
 * 通过主键删除数据
 */
export const deleteSysUser = (id) =>
  request(`/api/sysUser/${id}`, { method: "delete" });

/*
 * 更新状态
 */
export const updateUserStatus = (id, status) =>
  request(`/api/sysUser/${id}?status=${status}`, { method: "put" });
