import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaIssue = (params) => request('/api/taIssue', { params });

/*
 * 新增数据
 */
export const postTaIssue = (data) => request('/api/taIssue', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaIssueById = (id) => request(`/api/taIssue/${id}`);

/*
 * 分页查询
 */
export const getTaOrgIssue = (params) => request('/api/taOrgIssue', { params });

/*
 * 通过ID查询单条数据
 */
export const getTaOrgIssueById = (id) => request(`/api/taIssue/${id}/orgIssue`);

/*
 * 更新数据
 */
export const putTaIssue = (id, data) => request(`/api/taIssue/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaIssue = (id) => request(`/api/taIssue/${id}`, { method: 'delete' });
export const deleteTaOrgIssue = (id) => request(`/api/taOrgIssue/${id}`, { method: 'delete' });


/*
 * 导出
 */
export const exportTaIssue = (params) => request(`/api/taIssue/export`, { params, method: 'post', download: true });
export const exportTaOrgIssue = (params) => request(`/api/taOrgIssue/export`, { params, method: 'post', download: true });
